Gtk2::Adjustment(3p)

NAME
Gtk2::Adjustment

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Adjustment

METHODS

•   $value (double)

•   $lower (double)

•   $upper (double)

•   $step_increment (double)

•   $page_increment (double)

•   $page_size (double)

•   $lower (double)

•   $upper (double)

•   $newval (double)

Get or set the six fields of a Gtk2::Adjustment.

The setter functions store $newval and return the old value. Note that they don't emit any signals; it's up to you to emit "notify" (because the fields are also properties) and "changed" or "value-changed", when you're ready.

•   $value (double)

PROPERTIES

'lower' (double : readable / writable / private)
    The minimum value of the adjustment

'page-increment' (double : readable / writable / private)
    The page increment of the adjustment

'page-size' (double : readable / writable / private)
    The page size of the adjustment

'step-increment' (double : readable / writable / private)
    The step increment of the adjustment

'upper' (double : readable / writable / private)
    The maximum value of the adjustment

'value' (double : readable / writable / private)
    The value of the adjustment

SIGNALS

value-changed (Gtk2::Adjustment)
changed (Gtk2::Adjustment)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.